| IGLib 1.6.0 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events
Properties | List of all members
IG.Lib.ILoadableScriptC Interface Reference

Controllable loadable script, provides more control over loading and execution. More...

Inheritance diagram for IG.Lib.ILoadableScriptC:
[legend]
Collaboration diagram for IG.Lib.ILoadableScriptC:
[legend]

## Properties
bool | IsLoadable`[get, set]`
| Either or not the script can be dynamically loaded. More...
bool | IsRunnable`[get, set]`
| Either or not the script can be run (some scripts only support other tasks). More...
Properties inherited from IG.Lib.ILoadableScript
string | EmbeddedCommandName`[get, set]`
| Command that was used to launch the current embedded application script. More...
string[] | InitializationArguments`[get, set]`
| Arguments used by the initialization method. More...
bool | IsInitialized`[get]`
| Whether the object has been initialized or not. More...

## Additional Inherited Members
Public Member Functions inherited from IG.Lib.ILoadableScript
string | Run (string[] arguments)
| Runs the executable method of the object. More...
void | Initialize (string[] arguments)
| Initializes the current object. More...

## Detailed Description

Controllable loadable script, provides more control over loading and execution.

$A Igor Jul09;

## Property Documentation

bool IG.Lib.ILoadableScriptC.IsLoadable
| get set

Either or not the script can be dynamically loaded.

Referenced by IG.Lib.ScriptLoaderBase.GetLoadableScriptC().

bool IG.Lib.ILoadableScriptC.IsRunnable
| get set

Either or not the script can be run (some scripts only support other tasks).

The documentation for this interface was generated from the following file:

- igbase/interpreters/scriptloader/LoadableScriptBase.cs